be.cin.encrypted

## Class BusinessContent

- java.lang.Object
- - be.cin.encrypted.BusinessContent

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:18:46+01:00",
                 comments="JAXB RI v2.2.11")
      public class BusinessContent
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="ContentType" type="{http://www.w3.org/2001/XMLSchema}string" default="application/octet-stream" />
             <attribute name="ContentEncoding" type="{http://www.w3.org/2001/XMLSchema}string" default="none" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusinessContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentEncoding()` Gets the value of the contentEncoding property.
    `String` | `getContentType()` Gets the value of the contentType property.
    `String` | `getId()` Gets the value of the id property.
    `byte[]` | `getValue()` Gets the value of the value property.
    `void` | `setContentEncoding(String value)` Sets the value of the contentEncoding property.
    `void` | `setContentType(String value)` Sets the value of the contentType property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setValue(byte[] value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BusinessContent

          public BusinessContent()

  - ### Method Detail

    - #### getValue

          public byte[] getValue()

      Gets the value of the value property.
      Returns:
        possible object is byte[]

    - #### setValue

          public void setValue(byte[] value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContentType

          public String getContentType()

      Gets the value of the contentType property.
      Returns:
        possible object is `String`

    - #### setContentType

          public void setContentType(String value)

      Sets the value of the contentType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContentEncoding

          public String getContentEncoding()

      Gets the value of the contentEncoding property.
      Returns:
        possible object is `String`

    - #### setContentEncoding

          public void setContentEncoding(String value)

      Sets the value of the contentEncoding property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.